cl_margin {clue} | R Documentation

## Membership Margins

### Description

Compute the margin of the memberships of a partition, i.e., the difference between the largest and second largest membership values of the respective objects.

### Usage

    cl_margin(x)

### Arguments

`x` | an R object representing a partition of objects.

### Details

For hard partitions, the margins are always 1.

For soft partitions, the margins may be taken as an indication of the “sureness” of classifying an object to the class with maximum membership value.

### Examples

    data("GVME")
    ## Look at the classes obtained for 1980:
    split(cl_object_names(GVME[["1980"]]), cl_class_ids(GVME[["1980"]]))
    ## Margins:
    x <- cl_margin(GVME[["1980"]])
    ## Add names, and sort:
    names(x) <- cl_object_names(GVME[["1980"]])
    sort(x)
    ## Note the "uncertainty" of assigning Egypt to the "intermediate" class
    ## of nations.

[Package clue version 0.3-57 Index]